z=xlsread('feds200628.xls','Sheet1','A2538:L12117');  %Aug 1971-Dec 2009
g=find(z(1:end-1,2)~=z(2:end,2));
z=z(g,:);
bigt=length(z);
for j=1:bigt;
    y10(j)=svenssonzc(z(j,6:11)',10); 
    y10f(j)=svenssonf(z(j,6:11)',10);	
    y3m(j)=z(j,4);
    ff(j)=z(j,12); 
end;
zdate=z(:,1)+(z(:,2)/12);

[AX,H1,H2]=plotyy(zdate(end-68:end)',[ff(end-68:end)',y3m(end-68:end)'],zdate(end-68:end)',y10(end-68:end)','plot');
set(H1,'LineStyle','-','Linewidth',3);
set(H2,'LineStyle','--','Linewidth',3);
set(get(AX(1),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(get(AX(2),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(AX(1),'Fontsize',16)
set(AX(2),'Fontsize',16)
xlim(AX(1),[2004 2010.5]);
xlim(AX(2),[2004 2010.5]);
legend([H1;H2],'Fed Funds Rate (left scale)','Three month yield (left scale)','Ten-year yield (right scale)','Location','South');

